## org.eclipse.datatools.enablement.sybase.parser
Interface QuickSQLParserTreeConstants

All Known Implementing Classes:
  QuickSQLParser

    public interface QuickSQLParserTreeConstants

Field Summary
`static int` `JJTANY_CHARS`
`static int` `JJTANY_STMT_TOKEN`
`static int` `JJTCONSTANT`
`static int` `JJTCREATE_EVENT_HEADER`
`static int` `JJTCREATE_FUNC_HEADER`
`static int` `JJTCREATE_PROC_HEADER`
`static int` `JJTCREATE_TRIGGER_HEADER`
`static int` `JJTDATATYPE`
`static int` `JJTDATATYPE_INFO`
`static int` `JJTDYN_QUESTION_MARK`
`static int` `JJTERROR_SKIPTOBEFORE`
`static int` `JJTERROR_SKIPTOBEFORE1`
`static int` `JJTID`
`static int` `JJTID_OR_STRING`
`static int` `JJTID_STRING`
`static int` `JJTIDPLUS`
`static int` `JJTLENGTH_SPEC`
`static int` `JJTLITERAL`
`static java.lang.String[]` `jjtNodeName`
`static int` `JJTNULL_STMT`
`static int` `JJTNUMBER`
`static int` `JJTOBJECT`
`static int` `JJTOPTIONAL_PARAM_DEFAULT`
`static int` `JJTOUT_OPTION`
`static int` `JJTPARAM_OPTIONS`
`static int` `JJTPARAMETER`
`static int` `JJTPARAMETERS`
`static int` `JJTPREFIX`
`static int` `JJTPREFIX_LIST`
`static int` `JJTPROCPARMDEFAULT`
`static int` `JJTROUTINE_PARAMETERS`
`static int` `JJTSIGNED_CONST`
`static int` `JJTSTRING`
`static int` `JJTSTRING_LITERAL`
`static int` `JJTUNSIGNED_CONST`
`static int` `JJTVARIABLE`

Field Detail

### JJTSTRING_LITERAL

    static final int JJTSTRING_LITERAL

See Also:
  Constant Field Values

### JJTANY_STMT_TOKEN

    static final int JJTANY_STMT_TOKEN

See Also:
  Constant Field Values

### JJTID

    static final int JJTID

See Also:
  Constant Field Values

### JJTSTRING

    static final int JJTSTRING

See Also:
  Constant Field Values

### JJTID_STRING

    static final int JJTID_STRING

See Also:
  Constant Field Values

### JJTID_OR_STRING

    static final int JJTID_OR_STRING

See Also:
  Constant Field Values

### JJTPREFIX

    static final int JJTPREFIX

See Also:
  Constant Field Values

### JJTPREFIX_LIST

    static final int JJTPREFIX_LIST

See Also:
  Constant Field Values

### JJTOBJECT

    static final int JJTOBJECT

See Also:
  Constant Field Values

### JJTIDPLUS

    static final int JJTIDPLUS

See Also:
  Constant Field Values

### JJTVARIABLE

    static final int JJTVARIABLE

See Also:
  Constant Field Values

### JJTDYN_QUESTION_MARK

    static final int JJTDYN_QUESTION_MARK

See Also:
  Constant Field Values

### JJTNUMBER

    static final int JJTNUMBER

See Also:
  Constant Field Values

### JJTCONSTANT

    static final int JJTCONSTANT

See Also:
  Constant Field Values

### JJTSIGNED_CONST

    static final int JJTSIGNED_CONST

See Also:
  Constant Field Values

### JJTUNSIGNED_CONST

    static final int JJTUNSIGNED_CONST

See Also:
  Constant Field Values

### JJTLITERAL

    static final int JJTLITERAL

See Also:
  Constant Field Values

### JJTNULL_STMT

    static final int JJTNULL_STMT

See Also:
  Constant Field Values

### JJTLENGTH_SPEC

    static final int JJTLENGTH_SPEC

See Also:
  Constant Field Values

### JJTDATATYPE

    static final int JJTDATATYPE

See Also:
  Constant Field Values

### JJTDATATYPE_INFO

    static final int JJTDATATYPE_INFO

See Also:
  Constant Field Values

### JJTPARAMETER

    static final int JJTPARAMETER

See Also:
  Constant Field Values

### JJTOPTIONAL_PARAM_DEFAULT

    static final int JJTOPTIONAL_PARAM_DEFAULT

See Also:
  Constant Field Values

### JJTPARAM_OPTIONS

    static final int JJTPARAM_OPTIONS

See Also:
  Constant Field Values

### JJTOUT_OPTION

    static final int JJTOUT_OPTION

See Also:
  Constant Field Values

### JJTANY_CHARS

    static final int JJTANY_CHARS

See Also:
  Constant Field Values

### JJTCREATE_PROC_HEADER

    static final int JJTCREATE_PROC_HEADER

See Also:
  Constant Field Values

### JJTCREATE_FUNC_HEADER

    static final int JJTCREATE_FUNC_HEADER

See Also:
  Constant Field Values

### JJTCREATE_TRIGGER_HEADER

    static final int JJTCREATE_TRIGGER_HEADER

See Also:
  Constant Field Values

### JJTCREATE_EVENT_HEADER

    static final int JJTCREATE_EVENT_HEADER

See Also:
  Constant Field Values

### JJTPARAMETERS

    static final int JJTPARAMETERS

See Also:
  Constant Field Values

### JJTROUTINE_PARAMETERS

    static final int JJTROUTINE_PARAMETERS

See Also:
  Constant Field Values

### JJTPROCPARMDEFAULT

    static final int JJTPROCPARMDEFAULT

See Also:
  Constant Field Values

### JJTERROR_SKIPTOBEFORE

    static final int JJTERROR_SKIPTOBEFORE

See Also:
  Constant Field Values

### JJTERROR_SKIPTOBEFORE1

    static final int JJTERROR_SKIPTOBEFORE1

See Also:
  Constant Field Values

### jjtNodeName

    static final java.lang.String[] jjtNodeName